Create a Research Update

Send an update to a running research job. Updates can include additional context or files to guide the ongoing research. Updates can only be created for research jobs that are not in completed or failed status.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Research job identifier.

Request

This endpoint expects an object.
update_contentstringRequired
Additional context or instructions for the running research.
fileslist of stringsOptional
IDs of previously uploaded files to include with this update.

Response

Update created successfully.
idstringformat: "uuid"
Unique identifier for the update.
ask_idstringformat: "uuid"
Research job this update belongs to.
update_contentstring
The update content.
fileslist of strings
File IDs attached to this update.
created_atdatetime
ISO 8601 timestamp when the update was created.

Errors